
function analyticsAddProduto(produto){
	ga("ec:addProduct", {
		"id": produto['product_id'],
		"name": produto['nome'],
		"category": produto['categoria'],
		"brand": produto['marca'],
		"price": produto['preco'],
		"quantity": produto['quantidade']
	});
	ga("ec:setAction", "add");
	ga("send", "event", "detail view", "click", "addToCart");
}

function analyticsRemoveProduto(produto,qtdRemove){
	ga("ec:addProduct", {
		"id": produto['product_id'],
		"name": produto['nome'],
		"category": produto['categoria'],
		"brand": produto['marca'],
		"price": produto['preco'],
		"quantity": produto['quantidade']
	});
	ga("ec:setAction", "remove");
	ga("send", "event", "detail view", "click", "removeFromCart");
}

function analyticsAddImpressao(produtos, lista){
	for(i =0; i < produtos.length; i++){
		ga("ec:addImpression", {
		  "id": produtos[i]['product_id'],
		  "name": produtos[i]['name'],
		  "brand": produtos[i]['manufacturer'],
		  "category": produtos[i]['category'],
			"price": produtos[i]['price_format2'],
		  "position": i,
		  "list": lista
		});
	}
	ga("send", "pageview")
}

function analyticsDetalheProduto(produto){
	ga("ec:addProduct", {
		"id": produto['product_id'],
		"name": produto['name'],
		"category": produto['category'],
		"brand": produto['manufacturer'],
		"price": produto['price_format2']
	});

	ga('ec:setAction', 'detail');
	ga('send', 'pageview');
}

function analyticsStepCheckout(step,produtos){
	for(i =0; i < produtos.length; i++){
		ga("ec:addProduct", {
		  "id": produtos[i]['product_id'],
		  "name": produtos[i]['name'],
		  "brand": produtos[i]['manufacturer'],
		  "category": produtos[i]['category'],
			"price": produtos[i]['price_format2'],
			"quantity": produtos[i]['quantity']
		});
	}	
	ga('ec:setAction','checkout', {'step': step});
	ga('send', 'pageview');
}

function analyticsStepCheckoutOption(step,option){
	ga("ec:setAction", "checkout_option", {
		"step": step,
		"option": option
	});
	ga('send', 'event', 'Checkout', 'Option');
}

function analyticsPurchase(produtos,order){
	for(i =0; i < produtos.length; i++){
		ga("ec:addProduct", {
		  "id": produtos[i]['product_id'],
		  "name": produtos[i]['name'],
		  "brand": produtos[i]['manufacturer'],
		  "category": produtos[i]['category'],
			"price": produtos[i]['price_format2'],
			"quantity": produtos[i]['quantity']
		});
	}
	ga("ec:setAction", "purchase", {
	  "id": order['order_id'],
	  "revenue": 54,
	  "tax": 5,
	  "shipping": 5,
		"step" : 3
	});
	ga("send", "pageview");
}
